/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.lcm.nfvo.osm.rest.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Objects;

/**
 * InstantiateNsRequestVolume
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-04T13:48:18.253Z[GMT]")
public class InstantiateNsRequestVolume {
  @SerializedName("name")
  private String name = null;

  @SerializedName("vim-volume-id")
  private String vimVolumeId = null;

  public InstantiateNsRequestVolume name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Get name
   * @return name
  **/
  @Schema(required = true, description = "")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public InstantiateNsRequestVolume vimVolumeId(String vimVolumeId) {
    this.vimVolumeId = vimVolumeId;
    return this;
  }

   /**
   * Get vimVolumeId
   * @return vimVolumeId
  **/
  @Schema(required = true, description = "")
  public String getVimVolumeId() {
    return vimVolumeId;
  }

  public void setVimVolumeId(String vimVolumeId) {
    this.vimVolumeId = vimVolumeId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InstantiateNsRequestVolume instantiateNsRequestVolume = (InstantiateNsRequestVolume) o;
    return Objects.equals(this.name, instantiateNsRequestVolume.name) &&
        Objects.equals(this.vimVolumeId, instantiateNsRequestVolume.vimVolumeId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, vimVolumeId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InstantiateNsRequestVolume {\n");

    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    vimVolumeId: ").append(toIndentedString(vimVolumeId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
